Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class RepositoryContext

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.RepositoryContext

    public class RepositoryContext

extends java.lang.Object

Version:
  $Id: RepositoryContext.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`RepositoryContext()`

Method Summary
`CompiledReportProvider` | `getCompiledReportProvider()`
`java.lang.String` | `getContextURI()`
`ExecutionContext` | `getExecutionContext()`
`ReportUnit` | `getReportUnit()`
`RepositoryService` | `getRepository()`
`void` | `setCompiledReportProvider(CompiledReportProvider compiledReportProvider)`
`void` | `setContextResourceURI(java.lang.String resourceURI)` Sets the context URI as the context of local resource for a resource.
`void` | `setContextURI(java.lang.String contextURI)`
`void` | `setExecutionContext(ExecutionContext executionContext)`
`void` | `setReportUnit(ReportUnit reportUnit)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryContext

    public RepositoryContext()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getContextURI

    public java.lang.String getContextURI()

### setContextURI

    public void setContextURI(java.lang.String contextURI)

### setContextResourceURI

    public void setContextResourceURI(java.lang.String resourceURI)

  Sets the context URI as the context of local resource for a resource.

  The repository service needs to be set before calling this method.

  Parameters:
    `resourceURI` - the resource URI
  See Also:
    `setRepository(RepositoryService)`

### getExecutionContext

    public ExecutionContext getExecutionContext()

### setExecutionContext

    public void setExecutionContext(ExecutionContext executionContext)

### getReportUnit

    public ReportUnit getReportUnit()

### setReportUnit

    public void setReportUnit(ReportUnit reportUnit)

### getCompiledReportProvider

    public CompiledReportProvider getCompiledReportProvider()

### setCompiledReportProvider

    public void setCompiledReportProvider(CompiledReportProvider compiledReportProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.